import { HTMLChakraProps, ThemingProps, ComponentWithProps, DeepPartial } from '@chakra-ui/vue-system';
export interface BadgeProps extends HTMLChakraProps<'span'>, Partial<ThemingProps<'Badge'>> {
}
/**
 * Vue component used to display notifications, messages, or
 * statuses in different shapes and sizes.
 *
 * @see Docs https://vue.chakra-ui.com/docs/data-display/badge
 */
export declare const CBadge: ComponentWithProps<DeepPartial<BadgeProps>>;
